org.eclipse.emf.cdo.explorer

## Interface CDOExplorerManager<T extends CDOExplorerElement>

- All Superinterfaces:
    IAdaptable, IContainer<T>, INotifier
  All Known Subinterfaces:
    CDOCheckoutManager, CDORepositoryManager

      public interface CDOExplorerManager<T extends CDOExplorerElement>
      extends IContainer<T>, IAdaptable

  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOExplorerManager.ElementsChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUniqueLabel(java.lang.String label)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Method Detail

    - #### getUniqueLabel

          java.lang.String getUniqueLabel(java.lang.String label)

      Since:
        4.5

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html